Kafka clusters
Create a Managed Kafka cluster's user
Creates an extra Kafka login with the chosen ACLs and returns its password once Strimzi makes it live, normally within seconds. Company admins only.
POST
/
kafka-clusters
/
{uuid}
/
managed-users
Create a Managed Kafka cluster's user
curl --request POST \
--url https://api.artie.com/kafka-clusters/{uuid}/managed-users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"acls": [
{
"name": "<string>"
}
],
"username": "<string>"
}
'import requests
url = "https://api.artie.com/kafka-clusters/{uuid}/managed-users"
payload = {
"acls": [{ "name": "<string>" }],
"username": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({acls: [{name: '<string>'}], username: '<string>'})
};
fetch('https://api.artie.com/kafka-clusters/{uuid}/managed-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artie.com/kafka-clusters/{uuid}/managed-users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'acls' => [
[
'name' => '<string>'
]
],
'username' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artie.com/kafka-clusters/{uuid}/managed-users"
payload := strings.NewReader("{\n \"acls\": [\n {\n \"name\": \"<string>\"\n }\n ],\n \"username\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artie.com/kafka-clusters/{uuid}/managed-users")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"acls\": [\n {\n \"name\": \"<string>\"\n }\n ],\n \"username\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artie.com/kafka-clusters/{uuid}/managed-users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"acls\": [\n {\n \"name\": \"<string>\"\n }\n ],\n \"username\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"user": {
"acls": [
{
"name": "<string>",
"operation": "Read",
"patternType": "literal",
"resourceType": "topic"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"password": "<string>",
"warning": "<string>"
}Authorizations
API key passed as a Bearer token in the Authorization header.
Path Parameters
Body
application/json
Was this page helpful?
⌘I
Create a Managed Kafka cluster's user
curl --request POST \
--url https://api.artie.com/kafka-clusters/{uuid}/managed-users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"acls": [
{
"name": "<string>"
}
],
"username": "<string>"
}
'import requests
url = "https://api.artie.com/kafka-clusters/{uuid}/managed-users"
payload = {
"acls": [{ "name": "<string>" }],
"username": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({acls: [{name: '<string>'}], username: '<string>'})
};
fetch('https://api.artie.com/kafka-clusters/{uuid}/managed-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artie.com/kafka-clusters/{uuid}/managed-users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'acls' => [
[
'name' => '<string>'
]
],
'username' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artie.com/kafka-clusters/{uuid}/managed-users"
payload := strings.NewReader("{\n \"acls\": [\n {\n \"name\": \"<string>\"\n }\n ],\n \"username\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artie.com/kafka-clusters/{uuid}/managed-users")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"acls\": [\n {\n \"name\": \"<string>\"\n }\n ],\n \"username\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artie.com/kafka-clusters/{uuid}/managed-users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"acls\": [\n {\n \"name\": \"<string>\"\n }\n ],\n \"username\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"user": {
"acls": [
{
"name": "<string>",
"operation": "Read",
"patternType": "literal",
"resourceType": "topic"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"password": "<string>",
"warning": "<string>"
}
